/* dnsmasq is Copyright (c) 2000 Simon Kelley

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 dated June, 1991.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
*/

/* Author's email: simon@thekelleys.org.uk */

#define VERSION "1.4"

#define FTABSIZ 20 /* max number of outstanding requests */
#define CACHESIZ 300 /* default cache size */
#define MAXLIN 1024 /* line length in config files */
#define HOSTSFILE "/etc/hosts"
#define RESOLVFILE "/etc/resolv.conf"
#define RUNFILE "/var/run/dnsmasq.pid"
#define CHUSER "nobody"
#define IP6INTERFACES "/proc/net/if_inet6"

/* Follows system specific switches. If you run on a 
   system other then Linux, you may want to edit these. 
   May replace this with Autoconf one day. */
  

/* define this to do IPv6 interface discovery using
   proc/net/if_inet6 ala LINUX. */
#define HAVE_LINUX_IPV6_PROC 

/* define this if you have GNU libc or GNU getopt. */
#define HAVE_GETOPT_LONG 

/* we provide our own declaration of sockaddr_in6,
   since old versions of glibc are broken. */
#define HAVE_BROKEN_SOCKADDR_IN6
